<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class RuleLimit extends Eloquent {

	protected $table = 'rule_limits';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('type', 'limit', 'day', 'hour', 'campaign_period', 'rule_main_id');

	public function ruleMain()
	{
		return $this->hasOne('App\Models\RuleMain', 'rule_main_id');
	}

}