<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class RuleMain extends Eloquent {

	protected $table = 'rule_mains';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('beacon_campaign_id', 'name', 'type', 'status', 'delay', 'device_target_type', 'status_upload', 'redirect_message_id');

}